Skip to main content
GET
/
v0
/
w
/
brands
/
{brandId}
/
users
/
{userId}
Fetch Whitelabel User
curl --request GET \
  --url https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sitegpt.ai/api/v0/w/brands/{brandId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Fetched the whitelabel user successfully",
  "data": {
    "whitelabelUser": {
      "id": "401577831134278614",
      "brandId": "401537586571228250",
      "email": "dheeraj@sitegpt.ai",
      "name": "",
      "profilePic": "",
      "chatbotsQuota": 1,
      "linksQuota": 25,
      "filesQuota": 10,
      "combinedMessagesQuota": 25,
      "membersQuota": 1,
      "apiKey": "7f488a50-8a5a-9e34-9a04-1dad5bd548c3",
      "features": {
        "watermark": false,
        "api": true,
        "webhooks": false,
        "functions": false,
        "integrations": false,
        "googleChatIntegration": false,
        "messengerChatIntegration": false,
        "crispChatIntegration": false,
        "slackChatIntegration": false,
        "zendeskChatIntegration": false
      },
      "createdAt": "2024-06-24T11:38:34.228989Z",
      "updatedAt": "2024-06-27T13:42:38.046991Z"
    }
  }
}
{
"success": false,
"message": "Failed to fetch the whitelabel user",
"data": null,
"error": {
"code": "REQUEST_VALIDATION_FAILED",
"message": "Request body is not valid",
"details": [
{
"path": [
"brandId"
],
"message": "Required"
}
]
}
}
{
"success": false,
"message": "Failed to fetch the whitelabel user",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}
{
"success": false,
"message": "Failed to fetch the whitelabel user",
"data": null,
"error": {
"code": "FETCH_WHITELABEL_USER_FORBIDDEN",
"message": "You are not authorized to fetch the whitelabel user"
}
}
{
"success": false,
"message": "Failed to fetch the whitelabel user",
"data": null,
"error": {
"code": "FETCH_WHITELABEL_USER_USER_NOT_FOUND",
"message": "Whitelabel user not found"
}
}
{
"success": false,
"message": "Failed to fetch the whitelabel user",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "POST request method is not allowed"
}
}
{
"success": false,
"message": "Failed to fetch the whitelabel user",
"data": null,
"error": {
"code": "FETCH_WHITELABEL_USER_FAILED",
"message": "Some technical error has occurred !!"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

Id of the whitelabel user

brandId
string
required

Id of the whitelabel brand

Query Parameters

includeApiKey
boolean
default:false

Option to decide whether to include API key in the response or not

includeFeatures
boolean
default:false

Option to decide whether to include features in the response or not

Response

OK

success
boolean

Indicates whether this is success response or error response

message
string

Overall message regarding the operation performed

data
object

Data returned from the server